// Endogenous Variables
var 
c                 // total consumption
l                 // aggregate employment
v                 // aggregate vacancies
w                 // wage
k                 // aggregate capital
ik                // investment in physical capital
zc                // job-productivity cutoff
q                 // probability of filling a vacancy
m                 // matches
s                 // job-finding probability
u                 // unemployment rate
zav               // average job productivity
rho               // endogenous separation rate
mpl               // marginal product of labor
mpk               // marginal product of capital
phi               // value of a match to the firm
surplusF          // firm surplus
surplusW          // worker surplus
oo                // value of unemployment
wzc               // wage marginal worker
y                 // aggregate output
rk                // real rate for capital
mc                // marginal cost
multR             // investment lagrange multiplier
adjI              // investment adjustment cost  
e                 // firm value
d                 // per-period firm profit
N                 // number of producers
Ne                // number of new entrants
rpD               // relative price 
elasticity        // elasticity of substitution
markup            // markup
yfirm             // firm output
yn                // firm production funtion
vfirm             // firm vacancies
lfirm             // firm employment
kfirm             // firm capital
Util              // household's utility
Welf              // household's welfare
uc                // marginal utility of consumption
zavInt            // integral to compute average job productivity
surplusFzc        // firm surplus from marginal job
surplusWzc        // marginal worker's surplus
phizc             // value of marginal worker to the firm
mplzc             // marginal product of marginal worker
cm                // market consumption
ie                // investment in new products 
z                 // aggregate productivity
gdpIncome         // GDP Income
gdpIncomedata     // GDP Income data-consistent
cmdata            // market consumption data-consistent
ikdata            // investment in physical capital data-consistent
iedata            // investment in new products data-consistent 
wdata             // wage data-consistent
cdata             // total consumption data-consistent
ub                // unemployment benefit
fc                // firing cost
fr                // sunk entry cost regulation
thetaP
ooption
firing
endosepfirm
exosepfirm
endosepAG
exosepAG
newhiresfirm
newhiresAG
totsepfirm
totsepagg
JD
JC
netJC
;


// Innovations
varexo epsZ epsR; 

parameters   gammaP betaP rhozP stdzP lambdaP etaP epsP meanziP stdziP alphaP piP adjIP deltafP  NbarP sigmaMuP chiP vcP fetechP deltakP shapeP exponenpfP fetechtarget hpP rrRateP phiP rrRateFlex,
           c_SSfin l_SSfin v_SSfin w_SSfin  k_SSfin ik_SSfin zc_SSfin q_SSfin m_SSfin s_SSfin u_SSfin zav_SSfin rho_SSfin mpl_SSfin mpk_SSfin phi_SSfin surplusF_SSfin surplusW_SSfin oo_SSfin wzc_SSfin y_SSfin rk_SSfin mc_SSfin multR_SSfin adjI_SSfin
           e_SSfin d_SSfin N_SSfin Ne_SSfin rpD_SSfin elasticity_SSfin markup_SSfin yfirm_SSfin yn_SSfin vfirm_SSfin lfirm_SSfin kfirm_SSfin uc_SSfin  zavInt_SSfin wdata_SSfin newhiresfirm_SSfin newhiresAG_SSfin wdata_SSfin
           surplusFzc_SSfin surplusWzc_SSfin phizc_SSfin mplzc_SSfin cm_SSfin ub_SSfin fc_SSfin fr_SSfin z_SSfin gdpIncome_SSfin thetaP_SSfin ooption_SSfin firing_SSfin endosepfirm_SSfin exosepfirm_SSfin endosepAG_SSfin exosepAG_SSfin totsepfirm_SSfin totsepagg_SSfin JD_SSfin JC_SSfin netJC_SSfin
           c_SSinit l_SSinit  k_SSinit q_SSinit  N_SSinit Ne_SSinit z_SSinit  ik_SSinit c_SSinit lfirm_SSinit vfirm_SSinit  fr_SSinit ub_SSinit fc_SSinit w_SSinit rpD_SSinit gdpIncome_SSinit wdata_SSinit N_SSinit gdpIncomedata_SSinit wdata_SSinit u_SSinit;


set_parameters_from_file('steadyFinal',M_.param_names);
set_parameters_from_file('steadyInitial',M_.param_names);
set_parameters_from_file('calibration',M_.param_names);
//set_param_value('phiP',0);

model(bytecode);


// %---Utility Function
Util              = log(c);

Welf              = Util + betaP*Welf(1);


//% Labor Market Block
- lfirm           + (1-lambdaP)*(1-rho)*lfirm(-1) + (1-lambdaP)*(1-rho)*q(-1)*vfirm(-1);

- vcP/q           + (1-lambdaP)*(1-deltafP)*(betaP*uc(1)/uc)*((1 - rho(1))*phi(1) - rho(1)*fc(1));  

- mplzc           + wzc - vcP/q  - fc;

- surplusF        + ( (1 - etaP)/etaP )*surplusW;

- surplusFzc      + ( (1 - etaP)/etaP )*surplusWzc;

- yn              + z*(zav^shapeP)*(k(-1)^alphaP)*(l^(1-alphaP));

//%% Entry Block
- d               + rpD*yfirm - w*lfirm - vcP*vfirm - mpk*kfirm - rho*lfirm*fc/(1-rho);  

- e               + (fetechP + fr) + vcP*(lfirm/q + vfirm) ;

- yfirm           + yn/N;

- rpD             + markup*mc;

- e               + (1 - deltafP)*betaP*(uc(1)/(uc))*(e(+1) + d(+1));

- N               + (1 - deltafP )*((N(-1)) + (Ne(-1)));

- 1               + rpD*((exp(.5*(NbarP - N)/(sigmaMuP*NbarP*N)))) ;

- markup          + elasticity/(elasticity - 1);

- elasticity      + ((1 + sigmaMuP*N));

- yfirm           + (1/rpD)*y/N;

- y               + cm + ik + vcP*v + Ne*(fetechP + fr) + rho*lfirm*N*fc/(1-rho);  


//%% Capital Accumulation 

- k               + (1 - deltakP)*k(-1)   +  ik*(1 - (adjIP/2)*(adjI^2));

- multR           + (betaP*uc(1)/uc)*(rk(1) + (1 - deltakP)*multR(1));

- 1               + multR*((1 - (adjIP/2)*(adjI^2))  -  adjIP*adjI*(ik/ik(-1)))  + adjIP*(betaP*uc(1)/uc)*multR(1)*(adjI(1)*((ik(1)/ik)^2));

- adjI            + ik/ik(-1) - 1;


//% Definitions (required to solve the model)

- phi             + mpl - w + (1-lambdaP)*(1-deltafP)*(betaP*uc(1)/uc)*( (1-rho(1))*phi(1) - rho(1)*fc(1) );  

- phizc           + mplzc - wzc + (1-lambdaP)*(1-deltafP)*(betaP*uc(1)/uc)*( (1-rho(1))*phi(1) - rho(1)*fc(1) ); 

- surplusW        + w - oo + (1-lambdaP)*(1-deltafP)*(betaP*uc(1)/uc)*(1-rho(1))*surplusW(1); 

- surplusWzc      + wzc - oo  + (1-lambdaP)*(1-deltafP)*(betaP*uc(1)/uc)*(1-rho(1))*surplusW(1); 

- oo              + hpP + ub  + (1-lambdaP)*(1-deltafP)*betaP*(uc(1)/uc)*(s)*(1-rho(1))*surplusW(1);

- v               + (N + Ne)*vfirm + Ne*lfirm/q ; 

- lfirm           + l/N; 

- kfirm           + k(-1)/N; 

- m               + (chiP*(v^(1-epsP))*(u^(epsP)));

- u               + 1     - l;

- s               + m/u;

- q               + m/v;

- zavInt          + (-1/2*piP^(1/2)*exp(1/2*(2*meanziP+stdziP^2*shapeP)*shapeP/(1-2*alphaP+alphaP^2))*(erf(1/2*2^(1/2)/stdziP*(-log(zc)+log(zc)*alphaP+stdziP^2*shapeP+meanziP-meanziP*alphaP)/(-1+alphaP))-erf(1/2*2^(1/2)*(-10000000000+10000000000*alphaP+stdziP^2*shapeP+meanziP-meanziP*alphaP)/stdziP/(-1+alphaP)))*exp(-shapeP*meanziP*alphaP/(-1+alphaP)^2)/piP^(1/2))/(1-rho);

- zav             + zavInt^((1 - alphaP)/shapeP);

- rho             + ((0.5 + 0.5 * erf((log(zc))/(stdziP*sqrt(2)))));

- mpl             + (1-alphaP)*mc*yn/l;

- mplzc           + mpl*(zc/zav)^exponenpfP;

- mpk             + alphaP*mc*yn/k(-1);

- surplusF        + phi + fc;
  
- surplusFzc      + phizc + fc;

- rk              + mpk;

- cm              + c - hpP*(1-l);

- uc              + c^-gammaP;


//% Exogenous Processes
- log(z)          + rhozP*log(z(-1)) + epsZ; 

//- ub              + ub_SSfin;

//- ub              + rrRateP*(w/rpD);

//Procyclical

- ub              + rrRateP*(w_SSinit/rpD_SSinit) + phiP*(log(gdpIncomedata) - log(gdpIncomedata_SSinit));

//- ub              + rrRateP*(w_SSinit/rpD_SSinit) + phiP*(gdpIncomedata/gdpIncomedata_SSinit - 1);

//- ub              + rrRateP*(w_SSinit/rpD_SSinit) + phiP*(log(gdpIncomedata) - log(gdpIncomedata(-1)));

//- ub              + rrRateP*(w_SSinit/rpD_SSinit) + phiP*(log(wdata) - log(wdata_SSinit));

//- ub              + rrRateP*(w_SSinit/rpD_SSinit) + phiP*(log(u) - log(u_SSinit));

//- ub              + rrRateFlex*(w_SSinit/rpD_SSinit) + phiP*(log(gdpIncomedata) - log(gdpIncomedata_SSinit));

//- ub              + rrRateP*(w_SSinit/rpD_SSinit) + phiP*(log(N) - log(N_SSinit));

//- ub              + rrRateP*(w/rpD) + phiP*(log(gdpIncomedata) - log(gdpIncomedata_SSinit));

- fc              + fc_SSfin;

- fr              + fr_SSfin;


//% Additional variables (not needed to solve the model)

- gdpIncome       + w*l + rk*k(-1) + N*d;

- ie              + Ne*(fetechP + fr);

- gdpIncomedata   + gdpIncome/rpD;

- cmdata          + cm/rpD;

- ikdata          + ik/rpD;

- wdata           + w/rpD;

- cdata           + c/rpD;

- iedata          + ie/rpD;

- thetaP          + v/u;

- ooption         + hpP + ub + (etaP/(1 - etaP))*(vcP*thetaP + s*((1-lambdaP)*(1-deltafP)*betaP*uc(1)/uc*fc));

- firing          + etaP*(1 - (1-lambdaP)*(1-deltafP)*(1-s)*betaP)*fc;

- endosepfirm     + (1 - lambdaP)*rho*lfirm;

- exosepfirm      + lambdaP*lfirm;

- endosepAG       + (1 - lambdaP)*rho*l;

- exosepAG        + lambdaP*l; 

- newhiresfirm    + q*vfirm;  

- newhiresAG      + q*v;

- totsepfirm      + lambdaP + (1-lambdaP)*rho;

- totsepagg       + 1 - ((1 - totsepfirm)*(1 - deltafP)); 

- JD              + totsepagg*l - lambdaP*l*q; 

- JC              + v*q - lambdaP*l*q;

- netJC           + JC - JD;  
end;


initval;
z                   = z_SSfin;
ub                  = ub_SSfin;
fc                  = fc_SSfin;
fr                  = fr_SSfin;
c                   = c_SSfin; 
l                   = l_SSfin;
u                   = u_SSfin;
q                   = q_SSfin;
s                   = s_SSfin;
v                   = v_SSfin;
m                   = m_SSfin;
mc                  = mc_SSfin;
rho                 = rho_SSfin;
zavInt              = zavInt_SSfin;
zav                 = zav_SSfin;
zc                  = zc_SSfin;
surplusF            = surplusF_SSfin;
surplusW            = surplusW_SSfin;
oo                  = oo_SSfin;
phi                 = phi_SSfin;
ik                  = ik_SSfin;
rk                  = rk_SSfin;
mpk                 = mpk_SSfin;
mpl                 = mpl_SSfin;
y                   = y_SSfin;
k                   = k_SSfin;
adjI                = adjI_SSfin;
multR               = multR_SSfin;
e                   = e_SSfin;
d                   = d_SSfin;
N                   = N_SSfin;
Ne                  = Ne_SSfin;
rpD                 = rpD_SSfin;
elasticity          = elasticity_SSfin;
markup              = markup_SSfin;
yfirm               = yfirm_SSfin;
yn                  = yn_SSfin;
lfirm               = lfirm_SSfin;
kfirm               = kfirm_SSfin;
vfirm               = vfirm_SSfin;
Util                = log(c) ;
Welf                = (1/(1-betaP))*Util;
uc                  = (c)^-gammaP;
w                   = w_SSfin;
mplzc               = mpl*(zc/zav)^exponenpfP;
wzc                 = w - etaP*(mpl - mplzc); 
phizc               = mplzc - wzc + (1-lambdaP)*(1-deltafP)*betaP*( (1-rho)*phi - rho*fc);
surplusFzc          = phizc + fc;
surplusWzc          = wzc - oo + (1-lambdaP)*(1-deltafP)*betaP*(1-rho)*surplusW;
cm                  = cm_SSfin;
gdpIncome           = gdpIncome_SSfin;
cmdata              = cm/rpD;
gdpIncomedata       = gdpIncome/rpD;
ikdata              = ik/rpD;
wdata               = w/rpD;
cdata               = c/rpD;
ie                  = Ne*(fetechP + fr);
iedata              = ie/rpD;
thetaP              = thetaP_SSfin;
ooption             = ooption_SSfin;
firing              = firing_SSfin;
endosepfirm         = endosepfirm_SSfin;
exosepfirm          = exosepfirm_SSfin;
endosepAG           = endosepAG_SSfin;
exosepAG            = exosepAG_SSfin;
newhiresfirm        = newhiresfirm_SSfin;
newhiresAG          = newhiresAG_SSfin;
totsepfirm          = totsepfirm_SSfin;
totsepagg           = totsepagg_SSfin;
JD                  = JD_SSfin;
JC                  = JC_SSfin;
netJC               = netJC_SSfin;
end;


resid(1);

if max(abs(resid))>1e-10
    display('RESIDUALS IN TRANSITION.MOD FILE ARE NOT ZERO')
    keyboard
end


shocks;
var epsR;       periods 1:1     ; values 1;
end;


histval;
k(0)         = k_SSinit;
q(0)         = q_SSinit;
N(0)         = N_SSinit;
Ne(0)        = Ne_SSinit;
z(0)         = z_SSinit;
ik(0)        = ik_SSinit;
lfirm(0)     = lfirm_SSinit;
vfirm(0)     = vfirm_SSinit;
end;

options_.dynatol.f   = 1e-10;
options_.periods     = 500;
options_.simul.maxit = 800;
simul(stack_solve_algo = 4);


initplot = 2;
endplot  = 40;


load steadyInitial;

figure(2);
subplot(6,6,1);
plot(100*(c(initplot:endplot)/c_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Consumption');
subplot(6,6,2);
plot(100*(u(initplot:endplot) - u_SSinit),'b','Linewidth',2);axis tight;grid on; title('Unemployment rate');
subplot(6,6,3);
plot(100*(ikdata(initplot:endplot)/(ik_SSinit/rpD_SSinit) - 1),'b','Linewidth',2);axis tight;grid on; title('Investment physical capital');
subplot(6,6,4);
plot(100*(gdpIncomedata(initplot:endplot)/(gdpIncome_SSinit/rpD_SSinit) - 1),'b','Linewidth',2);axis tight;grid on; title('GDP');
subplot(6,6,5);
plot(100*(markup(initplot:endplot)/markup_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Markup');
subplot(6,6,6);
plot(100*(N(initplot:endplot)/N_SSinit - 1),'b','Linewidth',2);grid on;axis tight, title('Producers');
subplot(6,6,7);
plot(100*(iedata(initplot:endplot)/(Ne_SSinit*(fr_SSinit + fetechP)/rpD_SSinit)-1),'b','Linewidth',2);axis tight;grid on; title('Investment new products');
subplot(6,6,8);
plot(100*(yfirm(initplot:endplot)/yfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Firm Size');
subplot(6,6,9);
plot((ub(initplot:endplot)/ub_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Benefits');
subplot(6,6,10);
plot((fr(initplot:endplot)/fr_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('PMR');
subplot(6,6,11);
plot((fc(initplot:endplot)/fc_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Firing costs');
subplot(6,6,12);
plot(100*(wdata(initplot:endplot)/wdata_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Wages');
subplot(6,6,13);
plot(100*(s(initplot:endplot)/s_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('job-finding prob');
subplot(6,6,14);
plot(100*(thetaP(initplot:endplot)/thetaP_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('labour mkt tight');
subplot(6,6,15);
plot(100*(ooption(initplot:endplot)/ooption_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('outside option');
subplot(6,6,16);
plot(100*(m(initplot:endplot)/m_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('matches');
subplot(6,6,17);
plot(100*(q(initplot:endplot)/q_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('prob fill vacancy');
subplot(6,6,18);
plot(100*(zc(initplot:endplot)/zc_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('prod cut-off');
subplot(6,6,19);
plot(100*(firing(initplot:endplot)/firing_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firing');
subplot(6,6,20);
plot(100*(v(initplot:endplot)/v_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('vacancies');
subplot(6,6,21);
plot(100*(vfirm(initplot:endplot)/vfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firm vac');
subplot(6,6,22);
plot(100*(lfirm(initplot:endplot)/lfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firm emp');
subplot(6,6,23);
plot(100*(endosepfirm(initplot:endplot)/endosepfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('endosep firm');
subplot(6,6,24);
plot(100*(rho(initplot:endplot)/rho_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('rho');
subplot(6,6,25);
plot(100*(exosepfirm(initplot:endplot)/exosepfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('exosep firm');
subplot(6,6,26);
plot(100*(endosepAG(initplot:endplot)/endosepAG_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('endosep agg');
subplot(6,6,27);
plot(100*(exosepAG(initplot:endplot)/exosepAG_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('exosep agg');
subplot(6,6,28);
plot(100*(l(initplot:endplot)/l_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('emp');
subplot(6,6,29);
plot(100*(newhiresfirm(initplot:endplot)/newhiresfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firm newhires');
subplot(6,6,30);
plot(100*(newhiresAG(initplot:endplot)/newhiresAG_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Agg newhires');
subplot(6,6,31);
plot(100*(totsepfirm(initplot:endplot)/totsepfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('totsepfirm');
subplot(6,6,32);
plot(100*(totsepagg(initplot:endplot)/totsepagg_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('totsepagg'); 
subplot(6,6,33);
plot(100*(JD(initplot:endplot)/JD_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('JD'); 
subplot(6,6,34);
plot(100*(JC(initplot:endplot)/JC_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('JC'); 
subplot(6,6,35);
plot(100*(netJC(initplot:endplot)/netJC_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('NetJC'); 


/*
subplot(6,5,1);
plot(100*(c(initplot:endplot)/c_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Consumption');
subplot(6,5,2);
plot(100*(u(initplot:endplot) - u_SSinit),'b','Linewidth',2);axis tight;grid on; title('Unemployment rate');
subplot(6,5,3);
plot(100*(ikdata(initplot:endplot)/(ik_SSinit/rpD_SSinit) - 1),'b','Linewidth',2);axis tight;grid on; title('Investment physical capital');
subplot(6,5,4);
plot(100*(gdpIncomedata(initplot:endplot)/(gdpIncome_SSinit/rpD_SSinit) - 1),'b','Linewidth',2);axis tight;grid on; title('GDP');
subplot(6,5,5);
plot(100*(markup(initplot:endplot)/markup_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Markup');
subplot(6,5,6);
plot(100*(N(initplot:endplot)/N_SSinit - 1),'b','Linewidth',2);grid on;axis tight, title('Producers');
subplot(6,5,7);
plot(100*(iedata(initplot:endplot)/(Ne_SSinit*(fr_SSinit + fetechP)/rpD_SSinit)-1),'b','Linewidth',2);axis tight;grid on; title('Investment new products');
subplot(6,5,8);
plot(100*(yfirm(initplot:endplot)/yfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Firm Size');
subplot(6,5,9);
plot((ub(initplot:endplot)/ub_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Benefits');
subplot(6,5,10);
plot((fr(initplot:endplot)/fr_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('PMR');
subplot(6,5,11);
plot((fc(initplot:endplot)/fc_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Firing costs');
subplot(6,5,12);
plot(100*(wdata(initplot:endplot)/wdata_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Wages');
subplot(6,5,13);
plot(100*(s(initplot:endplot)/s_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('job-finding prob.');
subplot(6,5,14);
plot(100*(thetaP(initplot:endplot)/thetaP_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('labour mkt tight');
subplot(6,5,15);
plot(100*(ooption(initplot:endplot)/ooption_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('outside option');
subplot(6,5,16);
plot(100*(m(initplot:endplot)/m_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('matches');
subplot(6,5,17);
plot(100*(q(initplot:endplot)/q_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('prob. fill vacancy');
subplot(6,5,18);
plot(100*(zc(initplot:endplot)/zc_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('prod. cut-off');
subplot(6,5,19);
plot(100*(firing(initplot:endplot)/firing_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firing');
subplot(6,5,20);
plot(100*(v(initplot:endplot)/v_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('vacancies');
subplot(6,5,21);
plot(100*(vfirm(initplot:endplot)/vfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firm vac');
subplot(6,5,22);
plot(100*(lfirm(initplot:endplot)/lfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firm emp');
subplot(6,5,23);
plot(100*(endosepfirm(initplot:endplot)/endosepfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('endosep firm');
subplot(6,5,24);
plot(100*(rho(initplot:endplot)/rho_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('endo. separate');
subplot(6,5,25);
plot(100*(exosepfirm(initplot:endplot)/exosepfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('exosep firm');
subplot(6,5,26);
plot(100*(endosepAG(initplot:endplot)/endosepAG_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('endosep agg');
subplot(6,5,27);
plot(100*(exosepAG(initplot:endplot)/exosepAG_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('exosep agg');
subplot(6,5,28);
plot(100*(l(initplot:endplot)/l_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('emp');
subplot(6,5,29);
plot(100*(newhiresfirm(initplot:endplot)/newhiresfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('firm newhires');
subplot(6,5,30);
plot(100*(newhiresAG(initplot:endplot)/newhiresAG_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Agg newhires');
*/

/*
figure(1);
subplot(2,4,1);
plot(100*(c(initplot:endplot)/c_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Consumption');
subplot(2,4,2);
plot(100*(u(initplot:endplot) - u_SSinit),'b','Linewidth',2);axis tight;grid on; title('Unemployment rate');
subplot(2,4,3);
plot(100*(ikdata(initplot:endplot)/(ik_SSinit/rpD_SSinit) - 1),'b','Linewidth',2);axis tight;grid on; title('Investment physical capital');
subplot(2,4,4);
plot(100*(gdpIncomedata(initplot:endplot)/(gdpIncome_SSinit/rpD_SSinit) - 1),'b','Linewidth',2);axis tight;grid on; title('GDP');
subplot(2,4,5);
plot(100*(markup(initplot:endplot)/markup_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Markup');
subplot(2,4,6);
plot(100*(N(initplot:endplot)/N_SSinit - 1),'b','Linewidth',2);grid on;axis tight, title('Producers');
subplot(2,4,7);
plot(100*(iedata(initplot:endplot)/(Ne_SSinit*(fr_SSinit + fetechP)/rpD_SSinit)-1),'b','Linewidth',2);axis tight;grid on; title('Investment new products');
subplot(2,4,8);
plot(100*(yfirm(initplot:endplot)/yfirm_SSinit - 1),'b','Linewidth',2);axis tight;grid on; title('Firm Size');
*/
